<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceContentResponse StructType
 * @subpackage Structs
 */
class ServiceContentResponse extends AbstractStructBase
{
    /**
     * The ContentRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ContentRS
     */
    public $ContentRS;
    /**
     * Constructor method for ServiceContentResponse
     * @uses ServiceContentResponse::setContentRS()
     * @param \StructType\JP_ContentRS $contentRS
     */
    public function __construct(\StructType\JP_ContentRS $contentRS = null)
    {
        $this
            ->setContentRS($contentRS);
    }
    /**
     * Get ContentRS value
     * @return \StructType\JP_ContentRS|null
     */
    public function getContentRS()
    {
        return $this->ContentRS;
    }
    /**
     * Set ContentRS value
     * @param \StructType\JP_ContentRS $contentRS
     * @return \StructType\ServiceContentResponse
     */
    public function setContentRS(\StructType\JP_ContentRS $contentRS = null)
    {
        $this->ContentRS = $contentRS;
        return $this;
    }
}
